#include <stdio.h>
#include <libmemcached/memcached.h>

int main()
{
    printf("starting demo...\n");
    
    memcached_st *memc;
    memcached_server_st *servers;
    memc = memcached_create(NULL);

    printf("version = %s\n",memcached_lib_version());
    
    char *key = "key";
    char *value = "value";
    uint32_t flags = 0;
    size_t length = 0;
    char *value2 = NULL;
    memcached_return rc;
    memcached_server_add(memc,"localhost",11211);
    rc = memcached_set(memc, key, strlen(key), value, strlen(value)+1, (time_t)0, flags);
    if (rc == MEMCACHED_SUCCESS) {
    } 
    else {
    printf("error while set\n");
    }

    value2 = memcached_get (memc, key, strlen(key),     & length, & flags, & rc);
    if (rc == MEMCACHED_SUCCESS) {
	    printf("get value from memcached server ->\"%s\"\n", value2);
	    free(value2);
    } 
    else {
	    printf("error while get\n");
    }
    memcached_free(memc);

    printf("\nend demo.\n");
}
